Bioclipse on Mac OS X

From BioclipseWiki

Jump to: navigation, search
Responsible author:Ola
Bioclipse version:N/Awarning.png"N/A" is not a number.
Last updated:2010-5-12
Tags:


Bioclipse compiles and runs from within Eclipse on Mac OS X 10.5 (Leopard) and 10.6 (Snowleopard). From Bioclipse version 2.4, we require Java 1.6, and builds will only be available for 64 bits cocoa.

If you have both Java 1.5 and Java 1.6, you need to specify that Java 1.6 is default Java. This should be the case by default.

Tips

  • Verify that you have java 1.6 installed (and default) in the Terminal by typing 'java -version'. Else, hit "Software Update" on your OS X, and get Java 1.6.
  • In eclipse.ini you can set arguments to speed up eclipse or increase memory, e.g:
-Dosgi.requiredJavaVersion=1.6
-XX:MaxPermSize=256m
-XX: +UseCompressedOops
-Xms40m
-Xmx1048m


--Ola 06:25, 12 May 2010 (UTC)

Facts about Bioclipse on Mac OS XRDF feed
Applies to bioclipse versionwarning.png"N/A" is not a number.
Has authorOla  +
Was last updated12 May 2010  +
Personal tools